<div class="plc  ">
    <div class="plc-menu">
         	设备基础数据明细汇总报表
    </div>
    <div class="device-status-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">
        <div class="plc-content device-statement-heading">
            <div class="row ">
                <div class="col-sm-12">
                    <div class="public-horizon-form ">
                        <div class="public-horizon">
                            <label class="horizon-label label-4">生产区域：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                    <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false"
                                           type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-disabled="true"
                                           ng-model="statementConfig.currentWorkCenterDesc" ng-change="disableBtn()" ng-keyup="upModel('workArea')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toAreaHelp()" ng-if="config.showSelectArea"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('area')" ng-if="!config.showSelectArea"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showLine">*</span>拉线：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                    <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                           ng-keyup="upModel('workLine')" ng-disabled="true"
                                           ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                                           class="form-control ad-left-child" ng-model="statementConfig.currentLineDesc"
                                           ng-change="lineChanged('S')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                                       ng-if="config.showSelectLine"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                                       ng-if="!config.showSelectLine"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4">设备类型：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceTypeInput)}">
                                    <input ng-init="deviceTypeInput=false" ng-focus="deviceTypeInput=true"
                                           ng-keyup="upModel('deviceCode')" ng-disabled="true"
                                           ng-blur="deviceTypeInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceTypeDesc" ng-change="deviceTypeChanged('T')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceTypeHelp()"
                                       ng-if="config.deviceType"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceType')" ng-if="!config.deviceType"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red"
                                                                       ng-if="config.showDevice">*</span>设备：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                    <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                                           ng-keyup="upModel()" ng-disabled="false"
                                           ng-blur="deviceInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceNum" ng-change="disableBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()"
                                       ng-if="config.deviceCode"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceCode')" ng-if="!config.deviceCode"></i>
                                </div>
                            </div>
                            <div class="horizon-btns">
                            	<button class="btn no-display"><span style="color:#fff">导出</span></button>
                            </div>
                        </div>
                        <div class="public-horizon">
                            <label class="horizon-label label-4"><span class="text-red">*</span>开始时间：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="reportStartDate"
                                       class="form-control"
                                       ng-model="statementConfig.startDate"
                                       ng-change="dateChanged('S')"
                                       ng-init="initDateTimePicker('#reportStartDate', {},'Y-m-d H:i',true,true);"/>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red">*</span>结束时间：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="reportEndDate"
                                       class="form-control"
                                       ng-model="statementConfig.endDate"
                                       ng-change="dateChanged('S')"
                                       ng-init="initDateTimePicker('#reportEndDate', {},'Y-m-d H:i',true,true);"/>
                            </div>
                            <label class="horizon-label label-4">班次：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select   class="andon-content-ui-select" ng-model="statementConfig.currentShift">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="statementConfig.currentShift.description || statementConfig.currentShift.shift"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-if="!statementConfig.currentWorkCenter.workCenter"
                                                  class="no-action-color">请先选择生产区域</span>
                                            <span ng-if="!!statementConfig.currentShift.shift" class="no-data-color">暂无班次</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices
                                            repeat="item in (statementConfig.shiftsChange) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
							<label class="horizon-label label-4">设备状态：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select class="andon-content-ui-select" ng-model="statementConfig.currentState">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="statementConfig.currentState.description || statementConfig.currentState.state"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-if="!statementConfig.currentWorkCenter.workCenter"
                                                  class="no-action-color">请先选择生产区域</span>
                                            <span ng-if="!!statementConfig.currentShift.shift" class="no-data-color">暂无班次</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices
                                            repeat="item in (statementConfig.resourceStateChange) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <div class=" label-4 ">
                                <button ng-click="exportExcel();" class="btn btn-primary">导出
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <move-template></move-template>
    <div class="plc-content device-statement-content">
           <div>
           	   <div class="export_count">
               		<label class="control-label label-title">{{statementConfig.total}}</label>
               </div>
           </div>
     </div>
</div>